Bug 440571 - Virtual Keyboard overlaps half of my panel
Summary: Virtual Keyboard overlaps half of my panel
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: virtual-keyboard (show other bugs)
Version: git master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-03 21:18 UTC by Nate Graham
Modified: 2022-09-13 18:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.24.3


Attachments
Cover half the panel (289.68 KB, image/png)
2021-08-03 21:18 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-08-03 21:18:44 UTC
Created attachment 140494 [details]
Cover half the panel

Fedora 34 with maliit-keyboard in a built-from-source Plasma Wayland session at 200% global scale.

When the virtual keyboard appears, it overlaps half of my vertical left-side panel. See attached screenshot. I suspect that the goal is to avoid covering the panel, because when my panel is horizontal, it succeeds at avoiding covering it. However when my panel is vertical on either side of the screen, the virtual keyboard overlaps exactly half of it. Seems like some width calculation didn't take into account the scale factor or something.
Comment 1 Nate Graham 2022-02-26 22:37:16 UTC
Fixed by Arjen Hiemstra with https://invent.kde.org/plasma/kwin/-/commit/7e25e20097fe8d140f7408b76fbf374fe5f33690 in Plasma 5.24.3
Comment 2 Nate Graham 2022-09-13 18:47:29 UTC
Apparently right edge panels are still affected; see Bug 459000.